function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
% function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double   vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double   vector of endogenous variables in the order stored
%                                                     in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double   matrix of exogenous variables (in declaration order)
%                                                     for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double   vector of steady state values
%   params        [M_.param_nbr by 1]        double   vector of parameter values in declaration order
%   it_           scalar                     double   time period for exogenous variables for which
%                                                     to evaluate the model
%   T_flag        boolean                    boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   g1
%

if T_flag
    T = GLSW.dynamic_g1_tt(T, y, x, params, steady_state, it_);
end
g1 = zeros(14, 19);
g1(1,3)=1;
g1(1,16)=(-(params(4)*getPowerDeriv(y(16),1-params(2),1)*getPowerDeriv(T(1),1/(1-params(2)),1)));
g1(2,4)=1-y(16)*T(11);
g1(2,5)=(-(y(16)*T(13)));
g1(2,16)=(-T(2));
g1(3,4)=T(11);
g1(3,5)=T(13);
g1(3,6)=(-(1/y(7)));
g1(3,7)=(-((-y(6))/(y(7)*y(7))));
g1(4,6)=(-params(4));
g1(4,7)=(-(1-params(4)));
g1(5,4)=(-y(14));
g1(5,6)=(-1);
g1(5,1)=1;
g1(5,11)=(-(1/(1+y(13))));
g1(5,13)=(-((-y(11))/((1+y(13))*(1+y(13)))));
g1(5,14)=(-y(4));
g1(5,15)=y(16);
g1(5,16)=y(15);
g1(5,19)=1;
g1(6,5)=(-y(14));
g1(6,7)=(-1);
g1(6,2)=1;
g1(6,12)=(-(1/(1+y(13))));
g1(6,13)=(-((-y(12))/((1+y(13))*(1+y(13)))));
g1(6,14)=(-y(5));
g1(7,14)=1;
g1(7,15)=(-1);
g1(8,11)=params(4);
g1(8,12)=(-(1-params(4)));
g1(9,4)=(-(1/params(4)/T(3)*T(12)));
g1(9,6)=(-(T(12)*(-(y(4)/params(4)*1/(1-params(4))))/(T(3)*T(3))));
g1(9,14)=1;
g1(10,16)=1;
g1(11,3)=(-(T(2)/params(4)));
g1(11,4)=(-(y(3)*T(11)/params(4)));
g1(11,5)=(-(y(3)*T(13)/params(4)));
g1(11,8)=1;
g1(12,3)=(-((1-T(2))/(1-params(4))));
g1(12,4)=(-(y(3)*(-T(11))/(1-params(4))));
g1(12,5)=(-(y(3)*(-T(13))/(1-params(4))));
g1(12,9)=1;
g1(13,8)=(-params(4));
g1(13,9)=(-(1-params(4)));
g1(13,10)=1;
g1(14,6)=(-(T(10)*T(5)*T(6)*getPowerDeriv(y(6),(-params(2)),1)/T(8)));
g1(14,17)=(-(T(9)*getPowerDeriv(y(17),(-params(2)),1)));
g1(14,10)=(-(T(10)*T(5)*T(7)*T(5)*1/params(1)*getPowerDeriv(y(10),params(2)-params(3),1)/T(8)));
g1(14,18)=(-(T(10)*T(5)*(-(T(6)*T(7)*getPowerDeriv(y(18),params(2)-params(3),1)))/(T(8)*T(8))));
g1(14,13)=1;

end
