function residual = dynamic_resid(T, y, x, params, steady_state, it_, T_flag)
% function residual = dynamic_resid(T, y, x, params, steady_state, it_, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double   vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double   vector of endogenous variables in the order stored
%                                                     in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double   matrix of exogenous variables (in declaration order)
%                                                     for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double   vector of steady state values
%   params        [M_.param_nbr by 1]        double   vector of parameter values in declaration order
%   it_           scalar                     double   time period for exogenous variables for which
%                                                     to evaluate the model
%   T_flag        boolean                    boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   residual
%

if T_flag
    T = GLSW.dynamic_resid_tt(T, y, x, params, steady_state, it_);
end
residual = zeros(14, 1);
lhs = y(3);
rhs = T(1)^(1/(1-params(2)));
residual(1) = lhs - rhs;
lhs = y(4);
rhs = y(16)*T(2);
residual(2) = lhs - rhs;
lhs = T(2);
rhs = y(6)/y(7);
residual(3) = lhs - rhs;
lhs = (1-params(4))*params(6);
rhs = params(4)*y(6)+(1-params(4))*y(7);
residual(4) = lhs - rhs;
lhs = y(1);
rhs = y(6)+y(4)*y(14)+y(11)/(1+y(13))-y(16)*y(15)-x(it_, 1);
residual(5) = lhs - rhs;
lhs = y(2);
rhs = y(7)+y(5)*y(14)+y(12)/(1+y(13))-params(6);
residual(6) = lhs - rhs;
lhs = y(14);
rhs = y(15);
residual(7) = lhs - rhs;
lhs = params(4)*y(11);
rhs = (1-params(4))*y(12);
residual(8) = lhs - rhs;
lhs = y(14);
rhs = T(4)^(-params(2));
residual(9) = lhs - rhs;
lhs = y(16);
rhs = params(6)*params(5);
residual(10) = lhs - rhs;
lhs = y(8);
rhs = y(3)*T(2)/params(4);
residual(11) = lhs - rhs;
lhs = y(9);
rhs = y(3)*(1-T(2))/(1-params(4));
residual(12) = lhs - rhs;
lhs = y(10);
rhs = params(4)*y(8)+(1-params(4))*y(9);
residual(13) = lhs - rhs;
lhs = 1+y(13);
rhs = T(9)*T(10);
residual(14) = lhs - rhs;

end
